package cn.gygxzc.cloud.tina.fastdfs.client.utils;

import org.apache.commons.lang.StringUtils;

/**
 * Created by niantuo on 2018/10/29.
 * 文件相关的方法
 */

public class FileUtils {
    private final static String UNKNOWN_EXT = "unknown";

    /**
     * 获取文件的后缀名称
     *
     * @return 文件的后缀
     */
    public static String getFileExtName(String fileName) {
        if (StringUtils.isBlank(fileName)) {
            return UNKNOWN_EXT;
        }
        int index = fileName.lastIndexOf(".");
        if (index == 0) {
            return UNKNOWN_EXT;
        }
        return fileName.substring(index + 1);
    }
}
